package cn.sm1234.quartz;

import java.util.Date;

import javax.annotation.Resource;

import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

import cn.sm1234.service.EmpService;

/**
 * 自定义Job类
 * @author lenovo
 *
 */
public class MyJob implements Job{
	
	@Resource
	private EmpService empService;

	//任务被触发时被执行
	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		System.out.println("任务被执行:"+new Date());
		empService.save();
	}

}
